{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0", 
    "configurations": [
        {
            "name": "Docker .NET Core Attach (Preview)",
            "type": "docker",
            "request": "attach",
            "platform": "netCore",
            "sourceFileMap": {
                "/": "${workspaceFolder}"
            }
        },
        {
            "name": "Sledgemapper",
            "type": "coreclr",
            "request": "launch",
            "preLaunchTask": "build sledgemapper",
            "program": "${workspaceFolder}/Sledgemapper/bin/Debug/net5.0/sledgemapper.dll",
            "args": [],
            "cwd": "${workspaceFolder}/Sledgemapper",
            "console": "internalConsole",
            "stopAtEntry": false
        },
        {
            "name": "Sledgemapper.API",
            "type": "coreclr",
            "request": "launch",
            "preLaunchTask": "build sledgemapper.api",
            "program": "${workspaceFolder}/Sledgemapper.Api/bin/Debug/net5.0/sledgemapper.api.dll",
            "args": [],
            "cwd": "${workspaceFolder}/Sledgemapper.Api",
            "console": "internalConsole",
            "stopAtEntry": false,
            "env": {
                "ASPNETCORE_ENVIRONMENT": "Development"
              }
        },
        {
            "name": "Identity.API",
            "type": "coreclr",
            "request": "launch",
            "preLaunchTask": "build identity",
            "program": "${workspaceFolder}/Identity/bin/Debug/netcoreapp3.1/WebApi.dll",
            "args": [],
            "cwd": "${workspaceFolder}/Identity",
            "console": "internalConsole",
            "stopAtEntry": false
        },
        {
            "name": ".NET Core Attach",
            "type": "coreclr",
            "request": "attach",
            "processId": "${command:pickProcess}"
        }
    ]
}